<bugID>1247696<Summary>UX review of memory panel</Summary><Description>Joe, as devtools module owner, has made the executive decision that we should do a UX review before turning the memory panel on by default.

Let's use this bug for documenting and addressing issues that come up in the UX review. Depending on how many issues we identify, this may morph into a meta bug.

Helen, what can I do to help the UX review go smoothly? Any idea when we might be able to squeeze this into your TODO list?</Description></bugID>